Package org.apache.groovy.json.internal

# Class ValueMapImpl

java.lang.Object
java.util.AbstractMap<java.lang.String,​Value>
org.apache.groovy.json.internal.ValueMapImpl

All Implemented Interfaces:
  `java.util.Map<java.lang.String,​Value>`, `ValueMap<java.lang.String,​Value>`

    public class ValueMapImpl
    extends java.util.AbstractMap<java.lang.String,​Value>
    implements ValueMap<java.lang.String,​Value>

This map is for object serialization mainly. The idea is the final conversion of the Value objects are delayed until the last possible moment, i.e., just before injected into a bean.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ValueMapImpl()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(MapItemValue miv)` | Add a MapItemValue to the map.
  `java.util.Set<java.util.Map.Entry<java.lang.String,​Value>>` | `entrySet()` | If the map has not been built yet, then we just return a fake entry set.
  `Value` | `get​(java.lang.Object key)` | Get the items for the key.
  `boolean` | `hydrated()` | Has the map been hydrated.
  `java.util.Map.Entry<java.lang.String,​Value>[]` | `items()` | Give me the items in the map without hydrating the map.
  `int` | `len()` | Return size w/o hydrating the map.
  `Value` | `put​(java.lang.String key, Value value)` |
  `int` | `size()` | Return the size of the map.
  `java.util.Collection<Value>` | `values()` | Return a collection of values.

  ### Methods inherited from class java.util.AbstractMap

  `clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, equals, forEach, getOrDefault, hashCode, isEmpty, keySet, merge, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll`

- ## Constructor Details

  - ### ValueMapImpl

    public ValueMapImpl()

- ## Method Details

  - ### add

    public void add​(MapItemValue miv)
    Add a MapItemValue to the map.
    Specified by:
      `add` in interface `ValueMap<java.lang.String,​Value>`
    Parameters:
      `miv` - map value item.

  - ### len

    public int len()
    Description copied from interface: `ValueMap`
    Return size w/o hydrating the map.
    Specified by:
      `len` in interface `ValueMap<java.lang.String,​Value>`

  - ### hydrated

    public boolean hydrated()
    Description copied from interface: `ValueMap`
    Has the map been hydrated.
    Specified by:
      `hydrated` in interface `ValueMap<java.lang.String,​Value>`

  - ### items

    public java.util.Map.Entry<java.lang.String,​Value>[] items()
    Description copied from interface: `ValueMap`
    Give me the items in the map without hydrating the map. Realize that the array is likely larger than the length so array items can be null.
    Specified by:
      `items` in interface `ValueMap<java.lang.String,​Value>`

  - ### get

    public Value get​(java.lang.Object key)
    Get the items for the key.
    Specified by:
      `get` in interface `java.util.Map<java.lang.String,​Value>`
    Overrides:
      `get` in class `java.util.AbstractMap<java.lang.String,​Value>`
    Parameters:
      `key` -
    Returns:
      the items for the given key

  - ### put

    public Value put​(java.lang.String key, Value value)
    Specified by:
      `put` in interface `java.util.Map<java.lang.String,​Value>`
    Overrides:
      `put` in class `java.util.AbstractMap<java.lang.String,​Value>`

  - ### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,​Value>> entrySet()
    If the map has not been built yet, then we just return a fake entry set.
    Specified by:
      `entrySet` in interface `java.util.Map<java.lang.String,​Value>`
    Specified by:
      `entrySet` in class `java.util.AbstractMap<java.lang.String,​Value>`

  - ### values

    public java.util.Collection<Value> values()
    Return a collection of values.
    Specified by:
      `values` in interface `java.util.Map<java.lang.String,​Value>`
    Overrides:
      `values` in class `java.util.AbstractMap<java.lang.String,​Value>`

  - ### size

    public int size()
    Return the size of the map. Use the map if it has already been created.
    Specified by:
      `size` in interface `java.util.Map<java.lang.String,​Value>`
    Overrides:
      `size` in class `java.util.AbstractMap<java.lang.String,​Value>`
    Returns:
      size